commit:     6d2258d85eac24a106a262a6d12cb02b434d2f8c
Author:     Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Sun Mar 17 10:23:33 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Apr 29 13:41:06 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d2258d8

app-shells/mksh: Fix the live ebuild

 - mksh changed to tarballs so cpio and unpacker is now removed.
 - Update keywords from release ebuild
 - Rebuild.sh is useless for us
 - Bump to EAPI 7
 - Remove shell updater as mksh is in baselayout
 - Remove unstable -c lto
 - exeinto,doexe → into,dobin
 - Add test suite dependencies

 Closes: https://bugs.gentoo.org/show_bug.cgi?id=536992
 Closes: https://bugs.gentoo.org/show_bug.cgi?id=631948

Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-shells/mksh/mksh-9999.ebuild | 42 ++++++++++++++++++----------------------
 1 file changed, 19 insertions(+), 23 deletions(-)

diff --git a/app-shells/mksh/mksh-9999.ebuild b/app-shells/mksh/mksh-9999.ebuild
index 36449d037d4..3aa638fe245 100644
--- a/app-shells/mksh/mksh-9999.ebuild
+++ b/app-shells/mksh/mksh-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-inherit eutils toolchain-funcs
+inherit toolchain-funcs
 
 if [[ $PV = 9999 ]]; then
        inherit cvs
@@ -12,45 +12,41 @@ if [[ $PV = 9999 ]]; then
        ECVS_USER="_anoncvs"
        ECVS_AUTH="ext"
        KEYWORDS=""
-       DEPEND="static? ( dev-libs/klibc )"
 else
-       inherit unpacker
-       DEPEND="app-arch/cpio
-               static? ( dev-libs/klibc )"
-       SRC_URI="http://www.mirbsd.org/MirOS/dist/mir/mksh/${PN}-R${PV}.cpio.gz";
-       KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux"
+       SRC_URI="http://www.mirbsd.org/MirOS/dist/mir/mksh/${PN}-R${PV}.tgz";
+       KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
 fi
 
 DESCRIPTION="MirBSD Korn Shell"
 HOMEPAGE="http://mirbsd.de/mksh";
 LICENSE="BSD"
 SLOT="0"
-IUSE="static"
-RDEPEND=""
+IUSE="static test"
+RDEPEND="static? ( dev-libs/klibc )"
+DEPEND="
+       ${RDEPEND}
+       test? (
+               dev-lang/perl
+               sys-apps/ed
+       )
+"
 S="${WORKDIR}/${PN}"
 
 src_compile() {
        tc-export CC
        # we want to build static with klibc
-       if use static; then unset CC; export CC="/usr/bin/klcc"; export 
LDSTATIC="-static"; fi
+       if use static; then export CC="/usr/bin/klcc"; export 
LDSTATIC="-static"; fi
        export CPPFLAGS="${CPPFLAGS} 
-DMKSH_DEFAULT_PROFILEDIR=\\\"${EPREFIX}/etc\\\""
-       sh Build.sh -r -c lto || sh Rebuild.sh || die
+       sh Build.sh -r || die
 }
 
 src_install() {
-       exeinto /bin
-       doexe mksh
+       into /
+       dobin mksh
        doman mksh.1
        dodoc dot.mkshrc
 }
 
 src_test() {
-       ./test.sh || die
-}
-
-pkg_postinst() {
-       ebegin "Updating /etc/shells"
-       ( grep -v "^/bin/mksh$" "${ROOT}"etc/shells; echo "/bin/mksh" ) > 
"${T}"/shells
-       mv -f "${T}"/shells "${ROOT}"etc/shells
-       eend $?
+       ./test.sh -v || die
 }

Reply via email to